> ## Documentation Index
> Fetch the complete documentation index at: https://boosterberg.com/docs/llms.txt
> Use this file to discover all available pages before exploring further.

# Update stored payment method metadata (brand & last4) from Stripe



## OpenAPI

````yaml https://api.boosterberg.com-beta.com/v1/doc/api-json post /user/update-payment-method-meta
openapi: 3.0.0
info:
  title: Boosterberg API
  description: REST API For Boosterberg user-facing application
  contact:
    name: Miloslav Kona
    email: mkona@bykd.com
  version: '1.0'
servers:
  - url: https://api.boosterberg.com-beta.com/v1
    description: dev server
  - url: https://auto.boost.api/v1
    description: local
  - url: https://api.boosterberg.com/v1
    description: production
security: []
tags:
  - name: Posts
    description: Post lifecycle and evaluation data across all campaigns
paths:
  /user/update-payment-method-meta:
    post:
      summary: Update stored payment method metadata (brand & last4) from Stripe
      operationId: 86ee2e8177de5f6092d1a11b3e1747ff
      responses:
        '200':
          description: Returns status and message
          content:
            application/json:
              schema:
                properties:
                  status:
                    type: boolean
                    example: true
                  message:
                    type: string
                    example: Payment method meta updated successfully
                type: object
        '400':
          description: Failed to retrieve card details
          content:
            application/json:
              schema:
                properties:
                  status:
                    type: boolean
                    example: false
                  message:
                    type: string
                    example: Failed to retrieve card details
                type: object
        '500':
          description: Unexpected server error
          content:
            application/json:
              schema:
                properties:
                  status:
                    type: boolean
                    example: false
                  message:
                    type: string
                    example: Internal server error
                type: object
      security:
        - bearerAuth: []
components:
  securitySchemes:
    bearerAuth:
      type: http
      bearerFormat: JWT
      scheme: bearer

````